Support for the Ruby 2.1 series ended on March 31 2017. See here for details.

In Files

  • rubygems/mock_gem_ui.rb

Methods

Class/Module Index [+]

Quicksearch

Gem::MockGemUi::TTY

Attributes

tty[RW]

Public Instance Methods

noecho() click to toggle source
 
               # File rubygems/mock_gem_ui.rb, line 39
def noecho
  yield self
end
            
tty?() click to toggle source
 
               # File rubygems/mock_gem_ui.rb, line 34
def tty?()
  @tty = true unless defined?(@tty)
  @tty
end